### Function

# Gimp RunBrushCallback

#### Declaration

    void
    (* GimpRunBrushCallback) (
      const gchar* brush_name,
      gdouble opacity,
      gint spacing,
      GimpLayerMode paint_mode,
      gint width,
      gint height,
      gint mask_size,
      const guchar* mask_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`brush_name` | `const gchar*`
| Name of the brush.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`opacity` | `gdouble`
| Opacity.
`spacing` | `gint`
| Spacing.
`paint_mode` | `GimpLayerMode`
| Paint mode.
`width` | `gint`
| Width.
`height` | `gint`
| Height.
`mask_size` | `gint`
| Mask size.
`mask_data` | An array of `guchar`
| Mask data.
| The length of the array is specified in the `mask_size` argument.
| The data is owned by the caller of the function.
`dialog_closing` | `gboolean`
| Dialog closing?
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.